
Tripnet - Feature #21871
Interface table : Boodai
06/21/2017 08:20 am - Jubin J

Status: Closed Start date: 06/29/2018
Priority: Normal Due date: 06/29/2018
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 99.70 hours
End_Date: 07/05/2017 Areas Affected:
remarks: Files Changed:
DB Changes: Initial Planned Hours:
Keys & Permissions:
Description

Create a web service for ERP integration table details are mentioned in mail-> subject :Interface table Details : Boodai

Clinet required a common table for every project(tripnet,3otalat,emtaz..)

sample database design attached

Subtasks:
Bug # 42418: ERP data not getting updated Closed

History
#1 - 06/21/2017 08:32 am - Jils Thomas
- Status changed from Assigned to In Progress

#2 - 06/21/2017 04:55 pm - Jubin J
- Due date changed from 06/21/2017 to 06/22/2017

#3 - 06/21/2017 04:58 pm - Jils Thomas
- % Done changed from 0 to 50

    -  Service for ERP integration table details are fetched from db and processed. Need more info about other fields

#4 - 06/22/2017 04:17 pm - Jils Thomas
- Status changed from In Progress to For Review
- Assignee changed from Jils Thomas to Sreerag Prasannan
- % Done changed from 50 to 100
- End_Date set to 06/22/2017

#5 - 06/23/2017 11:44 am - Jubin J
- Description updated
- Due date deleted (06/22/2017)
- Status changed from For Review to Assigned
- Assignee changed from Sreerag Prasannan to Vipin das
- Start date changed from 06/21/2017 to 06/23/2017

#6 - 06/23/2017 11:44 am - Jubin J
- File TABLE.odt added
#7 - 06/28/2017 04:37 pm - Anitta P

BookedCurrency and BookedConvertionRate is null in the case of invoiced status.so this issue is fixed.

#8 - 06/28/2017 07:12 pm - Linto V

Support for select ErpDetails From DB and insert it to a table in another db

#9 - 07/02/2017 07:11 am - Jils Thomas
- File ERP Documentation.odt added

Brief documentation attached about flow and functionality.

#10 - 07/05/2017 01:18 pm - Vipin das
- Status changed from Assigned to Fixed not Tested

#11 - 07/05/2017 04:29 pm - Sreerag Prasannan
- Status changed from Fixed not Tested to Assigned
- Assignee changed from Vipin das to Jils Thomas

As the changes are made by jils for ERP, assigned to Jils to update the details.

#12 - 07/05/2017 06:32 pm - Jils Thomas
- Status changed from Assigned to For Review
- Assignee changed from Jils Thomas to Sreerag Prasannan
- End_Date changed from 06/22/2017 to 07/05/2017

All status are kept in the db except those will not update the price of booking.
Offline hotel booking also kept while processing with it.

#13 - 08/24/2017 03:02 pm - Sreerag Prasannan
- Status changed from For Review to Closed
- Assignee deleted (Sreerag Prasannan)

delivered

Files
TABLE.odt 16.2 KB 06/23/2017 Jubin J
ERP Documentation.odt 20.5 KB 07/02/2017 Jils Thomas
